- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
Ecore Input

## Data Structures
struct | _Ecore_Event_Key
| Contains information about an Ecore keyboard event. More...
struct | _Ecore_Event_Mouse_Button
| Contains information about an Ecore mouse button event. More...
struct | _Ecore_Event_Mouse_Wheel
| Contains information about an Ecore mouse wheel event. More...
struct | _Ecore_Event_Mouse_Move
| Contains information about an Ecore mouse move event. More...
struct | _Ecore_Event_Mouse_IO
| Contains information about an Ecore mouse input/output event. More...
struct | _Ecore_Event_Modifiers
| Contains information about an Ecore event modifier. More...

## Macros
#define | ECORE_EVENT_MODIFIER_SHIFT 0x0001
#define | ECORE_EVENT_MODIFIER_CTRL 0x0002
#define | ECORE_EVENT_MODIFIER_ALT 0x0004
#define | ECORE_EVENT_MODIFIER_WIN 0x0008
#define | ECORE_EVENT_MODIFIER_SCROLL 0x0010
#define | ECORE_EVENT_MODIFIER_NUM 0x0020
#define | ECORE_EVENT_MODIFIER_CAPS 0x0040
#define | ECORE_EVENT_LOCK_SCROLL 0x0080
#define | ECORE_EVENT_LOCK_NUM 0x0100
#define | ECORE_EVENT_LOCK_CAPS 0x0200
#define | ECORE_EVENT_LOCK_SHIFT 0x0300
#define | ECORE_EVENT_MODIFIER_ALTGR 0x0400
#define | _ECORE_WINDOW_PREDEF 1

## Typedefs
typedef uintptr_t | Ecore_Window
typedef struct _Ecore_Event_Key | Ecore_Event_Key
typedef struct _Ecore_Event_Mouse_Button | Ecore_Event_Mouse_Button
typedef struct _Ecore_Event_Mouse_Wheel | Ecore_Event_Mouse_Wheel
typedef struct _Ecore_Event_Mouse_Move | Ecore_Event_Mouse_Move
typedef struct _Ecore_Event_Mouse_IO | Ecore_Event_Mouse_IO
typedef struct _Ecore_Event_Modifiers | Ecore_Event_Modifiers
typedef enum _Ecore_Event_Modifier | Ecore_Event_Modifier
| An enum of modifier events.
typedef enum _Ecore_Event_Press | Ecore_Event_Press
| An enum of press events.
typedef enum _Ecore_Event_IO | Ecore_Event_IO
| An enum of Input/Output events.
typedef enum _Ecore_Compose_State | Ecore_Compose_State
| An enum of Compose states.

## Enumerations
enum | _Ecore_Event_Modifier { ECORE_NONE, ECORE_SHIFT, ECORE_CTRL, ECORE_ALT, ECORE_WIN, ECORE_SCROLL, ECORE_CAPS, ECORE_MODE, ECORE_LAST }
enum | _Ecore_Event_Press { ECORE_DOWN, ECORE_UP }
enum | _Ecore_Event_IO { ECORE_IN, ECORE_OUT }
enum | _Ecore_Compose_State { ECORE_COMPOSE_NONE, ECORE_COMPOSE_MIDDLE, ECORE_COMPOSE_DONE }

## Functions
EAPI int | ecore_event_init (void)
| Initialises the Ecore Event system.
EAPI int | ecore_event_shutdown (void)
| Shutdowns the Ecore Event system.
EAPI unsigned int | ecore_event_modifier_mask (Ecore_Event_Modifier modifier)
| Return the Ecore modifier event integer associated to a Ecore_Event_Modifier modifier event. More...
EAPI Ecore_Event_Modifier | ecore_event_update_modifier (const char *key, Ecore_Event_Modifiers *modifiers, int inc)
| Update a Ecore_Event_Modifiers array with "key" modifier. More...
EAPI Ecore_Compose_State | ecore_compose_get (const Eina_List *seq, char **seqstr_ret)
| Handle a sequence of key symbols to make a final compose string. More...

## Variables
EAPI int | ECORE_EVENT_KEY_DOWN
EAPI int | ECORE_EVENT_KEY_UP
EAPI int | ECORE_EVENT_MOUSE_BUTTON_DOWN
EAPI int | ECORE_EVENT_MOUSE_BUTTON_UP
EAPI int | ECORE_EVENT_MOUSE_MOVE
EAPI int | ECORE_EVENT_MOUSE_WHEEL
EAPI int | ECORE_EVENT_MOUSE_IN
EAPI int | ECORE_EVENT_MOUSE_OUT

## Detailed Description

## Macro Definition Documentation

#define ECORE_EVENT_MODIFIER_ALTGR 0x0400

Since
  1.7

## Enumeration Type Documentation

enum _Ecore_Event_Modifier

Enumerator
ECORE_MODE | Since 1.7

## Function Documentation

EAPI unsigned int ecore_event_modifier_mask | ( | Ecore_Event_Modifier | modifier | ) |

Return the Ecore modifier event integer associated to a Ecore_Event_Modifier modifier event.

Parameters

  modifier | A Ecore_Event_Modifier event.

Returns
  A event_modifier integer that matches with the provided modifier event.

EAPI Ecore_Event_Modifier ecore_event_update_modifier | ( | const char * | key,
|  | Ecore_Event_Modifiers * | modifiers,
|  | int | inc
| ) |  |

Update a Ecore_Event_Modifiers array with "key" modifier.

Parameters

  key | A string describing a modifier key.
  modifiers | A Ecore_Event_Modifiers structure.
  inc | The value to increment in the modifiers array.

Returns
  ECORE_NONE if the key does not match with an existing one, else the corresponding Ecore_Event_Modifier.

EAPI Ecore_Compose_State ecore_compose_get | ( | const Eina_List * | seq,
|  | char ** | seqstr_ret
| ) |  |

Handle a sequence of key symbols to make a final compose string.

The final compose string seqstr_ret is allocated in this function and thus shall be freed when not needed anymore.

Parameters

  seq | The sequence of key symbols in a Eina_List.
  seqstr_ret | The final compose string.

Returns
  The status of the composition.

References _Eina_List::data, and _Eina_List::next.